package
{
	import flash.display.Bitmap;
	import flash.geom.Point;
	
	import starling.core.Starling;
	import starling.display.Button;
	import starling.display.Image;
	import starling.display.MovieClip;
	import starling.display.Sprite;
	import starling.events.Event;
	import starling.events.Touch;
	import starling.events.TouchEvent;
	import starling.events.TouchPhase;
	import starling.textures.Texture;
	import starling.textures.TextureAtlas;
	
	public class GameLayer extends Sprite
	{		
		private var monkeySprite:MonkeySprite;
		
		public function GameLayer()
		{
			addEventListener(Event.ADDED_TO_STAGE, onAdded);	
		}
		
		private function onAdded(e:Event):void
		{
			var backgroundTexture:Texture = Assets.getTexture("Background");
			var backgroundImage:Image = new Image(backgroundTexture);
			addChild(backgroundImage);			

			monkeySprite = new MonkeySprite();
			monkeySprite.x = stage.stageWidth * 0.5;
			monkeySprite.y = stage.stageHeight * 0.6;
			addChild(monkeySprite);
			stage.addEventListener(TouchEvent.TOUCH, onClick);		
		}
		
		private function onClick(e:TouchEvent):void
		{
			var touch:Touch = e.getTouch(stage);
			if(touch.phase == TouchPhase.ENDED)
			{
				if(touch.globalX != monkeySprite.x )
				{
					monkeySprite.moveToPoint(touch.globalX);
				}
			}
		}
	}
}